Supplier Quote Line Price

The supplier quote line price resource.

Basehttps://rest.carbon.ms/supplierQuoteLinePrice
GET/supplierQuoteLinePrice

List supplier quote line prices

Retrieve a paginated list of supplier quote line prices. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/supplierQuoteLinePrice
curl --request GET \
  --url 'https://rest.carbon.ms/supplierQuoteLinePrice?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "supplierQuoteLineId": "xyz789",
    "quantity": 10,
    "supplierQuoteId": "xyz789",
    "leadTime": 0,
    "supplierUnitPrice": 0,
    "supplierShippingCost": 0,
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string"
  }
]
GET/supplierQuoteLinePrice

Retrieve a supplier quote line price

Fetch a single supplier quote line price by filtering on `supplierQuoteLineId`.

Query parameters

supplierQuoteLineIdstring

Match on the supplier quote line price's `supplierQuoteLineId`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/supplierQuoteLinePrice
curl --request GET \
  --url 'https://rest.carbon.ms/supplierQuoteLinePrice?supplierQuoteLineId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "supplierQuoteLineId": "xyz789",
  "quantity": 10,
  "supplierQuoteId": "xyz789",
  "leadTime": 0,
  "supplierUnitPrice": 0,
  "supplierShippingCost": 0,
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
POST/supplierQuoteLinePrice

Create a supplier quote line price

Create a new supplier quote line price.

Body parameters

supplierQuoteIdstringrequired

References supplierQuote.id

leadTimenumberrequired
supplierUnitPricenumberrequired
exchangeRatenumber
supplierShippingCostnumberrequired
supplierTaxAmountnumberrequired
supplierExtendedPricenumber
taxPercentnumber
unitPricenumber
extendedPricenumber
shippingCostnumber
taxAmountnumber
POSThttps://rest.carbon.ms/supplierQuoteLinePrice
curl --request POST \
  --url https://rest.carbon.ms/supplierQuoteLinePrice \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"supplierQuoteId":"xyz789","leadTime":0,"supplierUnitPrice":0,"supplierShippingCost":0,"supplierTaxAmount":0}'
Response
{
  "supplierQuoteLineId": "xyz789",
  "quantity": 10,
  "supplierQuoteId": "xyz789",
  "leadTime": 0,
  "supplierUnitPrice": 0,
  "supplierShippingCost": 0,
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
PATCH/supplierQuoteLinePrice

Update a supplier quote line price

Update an existing supplier quote line price, matched on `supplierQuoteLineId`.

Body parameters

supplierQuoteIdstringrequired

References supplierQuote.id

leadTimenumberrequired
supplierUnitPricenumberrequired
exchangeRatenumber
supplierShippingCostnumberrequired
supplierTaxAmountnumberrequired
supplierExtendedPricenumber
taxPercentnumber
unitPricenumber
extendedPricenumber
shippingCostnumber
taxAmountnumber
PATCHhttps://rest.carbon.ms/supplierQuoteLinePrice
curl --request PATCH \
  --url 'https://rest.carbon.ms/supplierQuoteLinePrice?supplierQuoteLineId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"supplierQuoteId":"xyz789"}'
Response
{
  "supplierQuoteLineId": "xyz789",
  "quantity": 10,
  "supplierQuoteId": "xyz789",
  "leadTime": 0,
  "supplierUnitPrice": 0,
  "supplierShippingCost": 0,
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
DELETE/supplierQuoteLinePrice

Delete a supplier quote line price

Delete a supplier quote line price, matched on `supplierQuoteLineId`. Returns 204 No Content.

Query parameters

supplierQuoteLineIdstring

The `supplierQuoteLineId` of the supplier quote line price to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/supplierQuoteLinePrice
curl --request DELETE \
  --url 'https://rest.carbon.ms/supplierQuoteLinePrice?supplierQuoteLineId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content